header {
    box-shadow: 0px 4px 6px 2px rgba(0, 0, 0, 0.15);
    background: var(--cor-0);
    position: relative;
    z-index: 10;
    padding-bottom: 30px;
}

.menu_header {
    display: flex;
    align-items: center;
    gap: 25px;
}

.menu_sup {
    display: flex;
    gap: 40px;
}

.item_menu_sup a {
    position: relative;
    color: var(--cor-p1);
    font-weight: 700;
    font-size: 1.125rem;
    font-family: "Instrument Sans", sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    transition: 0.3s;
}

.item_menu_sup a::after {
    content: "";
    position: absolute;
    bottom: -4px;
    left: 0;
    height: 2px;
    width: 0;
    background: var(--cor-p1);
    transition: width 0.3s ease;
}

.item_menu_sup a:hover::after {
    width: 100%;
}

.item_menu_sup::before,
.item_menu_sup:last-child::after {
    content: '';
    display: inline-block;
    width: 4px;
    height: 27px;
    margin-right: 40px;
    background-color: var(--cor-2);
    vertical-align: middle;
}

.item_menu_sup:last-child::after {
    margin-left: 40px;
}

/* Banner */
.banner {
    background-image: url('../img/banner_tmx.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    height: 650px;
}

.title_banner {
    padding-top: 80px;
    font-size: 3rem;
    text-transform: uppercase;
    margin-bottom: 32px;
    font-weight: 700;
}

.btt_banner {
    color: var(--cor-p2);
    padding: 20px 40px;
    border: 1.5px solid var(--cor-p3);
    border-radius: 4px;
    display: inline-flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    cursor: pointer;
    transition: 0.5s
}

.btt_banner:hover {
    color: var(--cor-0);
    background: var(--cor-p2);
}

/* Quem Somos */
.quem_somos {
    background: var(--cor-0);
    padding-bottom: 80px;
}

.titulos {
    display: flex;
    width: 750px;
    flex-direction: column;
    justify-self: center;
    padding-top: 80px;
}

.subtitulo {
    color: var(--cor-6);
    font-weight: 600;
    font-size: 1.25rem;
    display: flex;
    justify-content: center;
    padding-bottom: 12px;
    text-transform: uppercase;
    font-family: 'Public Sans';
}

.titulos h2 {
    color: var(--cor-p2);
    font-size: 3rem;
    text-transform: uppercase;
    text-align: center;
    font-family: 'Poppins', sans-serif;
    line-height: 1.25;
}

.item_sobre_nos h3 {
    text-transform: uppercase;
}

.content {
    margin-top: 60px;
}

.grid_sobre_nos {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 40px;
}

.text_content_1 {
    font-family: "Instrument Sans", sans-serif;
    line-height: 1.5;
    margin-top: 20px;
}

.grid_sobre_nos_imgs {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
    margin-top: 40px;
}

.img_grid img {
    box-shadow: 4px 4px 6px 2px rgba(0, 0, 0, 0.04);
}

/* Serviços */

.servicos {
    background-image: url('../img/bg_servicos.png');
    background-position: center;
    background-color: lightgray;
    background-blend-mode: luminosity;
    position: relative;
    z-index: 0;
    background-repeat: no-repeat;
}

.anti {
    color: var(--cor-0) !important;
}

.overlay {
    position: absolute;
    inset: 0;
    background-color: #0A4180;
    opacity: 0.35;
    z-index: 1;
}

.servicos .container {
    z-index: 2;
    position: relative;
}

.servicos h2 {
    color: var(--cor-0);
    margin-bottom: 60px;
    ;
}

.grid_servicos {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 40px;
    padding-bottom: 80px;
}

.card_servicos {
    border-radius: 6px;
    border: 2px solid var(--cor-6);
    opacity: 0.8;
    background: var(--cor-p3);
    box-shadow: 4px 4px 6px 2px rgba(0, 0, 0, 0.04);
    padding: 32px;
}

.title_card {
    display: flex;
    gap: 12px;
    color: var(--cor-p1);
    text-transform: uppercase;
    margin-bottom: 20px;
    align-items: center;
}

.content_servicos {
    color: var(--cor-0);
    font-family: "Instrument Sans", sans-serif;
    line-height: 1.5;
}

/* Vantagens */

.vantagens .titulos {
    margin-bottom: 64px;
}

.grid_vantagens {
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    margin-bottom: 80px;
}

.conteudo_vantagens {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    font-size: 1.125rem;
    line-height: 1.5;
    color: var(--cor-s1);
    font-family: "Instrument Sans", sans-serif;
}

.item_vant h3 {
    text-transform: uppercaseG;
}

/* Contato */

.contato {
    background: var(--cor-s1);
}

.contato .titulos h2 {
    color: var(--cor-6);
    margin-bottom: 60px;
}

.contato p {
    font-family: "Instrumental Sans", sans-serif;
    margin-bottom: 60px;
    display: inline-flex;
    justify-content: center;
    text-align: center;
    line-height: 1.5;
    font-size: 1.125rem;
}

.grid_contato {
    display: grid;
    grid-template-columns: 1fr 2px 1fr;
    gap: 40px;
    padding-bottom: 80px;
    justify-items: center;
    position: relative;

}

.btt_whatsapp {
    border-radius: 4px;
    display: inline-flex;
    gap: 8px;
    align-items: center;
    justify-content: center;
    padding: 20px 40px;
    border: 1.5px solid var(--cor-p3);
    background: var(--cor-p2);
    text-decoration: none;
    cursor: pointer;
    color: var(--cor-6);
    text-transform: uppercase;
    font: 700 1.125rem/1.25 "Instrumental Sans", sans-serif;
    align-self: center;
    grid-column: 1;
    transition: 0.3s;
}

.btt_whatsapp:hover {
    background: var(--cor-0);
    color: var(--cor-p3);
    scale: 1.05;
}

.separator {
    grid-column: 2;
    width: 2px;
    background-color: var(--cor-p2);
    /* ou cor desejada */
    height: 100%;
    justify-self: center;

}

.infos_contato {
    grid-column: 3;
    padding: 20px 0;
}

.infos_contato li {
    color: var(--cor-0);
    display: flex;
    align-content: center;
    padding-top: 16px;
    padding-bottom: 16px;
    gap: 8px;
    align-items: center;
}

/* Footer */

footer {
    box-shadow: 0px -4px 6px 2px rgba(0, 0, 0, 0.15);
}

.footer a {
    text-decoration: none;
}

.grid_footer {
    display: grid;
    grid-template-columns: 1fr 5fr 1fr;
    padding-top: 40px;
    align-items: center;
    gap: 80px;
}

.nav_footer ul {
    display: grid;
    grid-template-columns: repeat(3, 1fr) 0.5fr;
    gap: 20px 60px;
}

.nav_footer li a {
    position: relative;
    padding-left: 28px;
}

.nav_footer li a::before {
    content: '';
    display: inline-block;
    position: absolute;
    left: 12px;
    top: 50%;
    transform: translateY(-50%);
    width: 4px;
    height: 27px;
    background-color: var(--cor-2);
}

.nav_footer a {
    font: 700 1.125rem/1.25 "Instrumental Sans", sans-serif;
    color: var(--cor-p3);
    display: flex;
    align-items: center;
    transition: 0.3s;
}

.nav_footer a:hover {
    color: var(--cor-p1);
}

.redes {
    display: inline-flex;
    justify-content: end;
    gap: 20px;
}

.copyright {
    color: var(--cor-6);
    text-align: center;
    margin-top: 60px;
    margin-bottom: 20px;
}

.copyright a {
    text-decoration: none;
    color: var(--cor-6);
    transition: 0.8s;
}

.copyright a:hover {
    color: var(--cor-p1);
}


@media (max-width: 1200px) {
    .container {
        max-width: 800px;
    }

    .item_menu_sup::before {
        margin-right: 10px;
    }

    .item_menu_sup:last-child::after {
        margin-left: 10px;
    }

    .menu_sup {
        gap: 15px;
        flex-wrap: wrap;
    }

    .grid_vantagens {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .grid_footer {
        gap: 40px;
    }
}

@media (max-width: 850px) {
    .container {
        max-width: 500px;
    }

    .menu_header {
        display: grid;
        grid-template-columns: 1fr;
        justify-items: center;
        gap: 0px;
    }

    .menu_sup {
        justify-content: center;
    }

    .title_banner {
        padding-top: 40px;
        font-size: 2rem;
        text-align: center;
    }

    .banner .container {
        justify-items: center;
    }

    .btt_banner {
        padding: 10px 20px;
    }

    .titulos {
        width: auto;
    }

    .titulos h2 {
        font-size: 1.5rem;
    }

    .grid_servicos {
        grid-template-columns: 1fr;
    }

    .grid_vantagens {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: auto auto;
        gap: 20px;
    }

    .imagem_vant {
        grid-column: 1 / -1;
        grid-row: 1;
        margin-bottom: 40px;
    }

    /* textos na linha 2 */
    .conteudo_vantagens:nth-of-type(1),
    .conteudo_vantagens:nth-of-type(2) {
        grid-column: 1;
        grid-row: 2;
    }

    .conteudo_vantagens {
        gap: 20px;
        text-align: center;
    }

    .grid_contato {
        grid-template-columns: 1fr;
        display: block;
    }

    .separator {
        display: none;
    }

    .grid_footer {
        grid-template-columns: 1fr;
        justify-items: center;
    }

}

@media (max-width: 500px) {
    .container {
        width: 360px;
    }

    .menu_header {
        display: grid;
        grid-template-columns: 3fr 1fr;
        justify-items: center;
        gap: 0px;
    }

    .item_menu_sup::before {
        background-color: var(--cor-8);
    }

    .title_banner {
        padding-top: 20px;
        font-size: 1.5rem;
        text-align: center;
    }

    .grid_sobre_nos {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .grid_sobre_nos_imgs {
        grid-template-columns: 1fr;
    }

    .card_servicos {
        text-align: center;
        justify-items: center;
    }

    .nav_footer ul {
        grid-template-columns: 1fr 1fr;
    }

    .nav_footer ul li:nth-child(4) {
        display: none;
    }
}